Open CASCADE Technology: PDF_VArrayNodeOfFieldOfHAttributeArray1 Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDF_VArrayNodeOfFieldOfHAttributeArray1 Class Reference

`#include <PDF_VArrayNodeOfFieldOfHAttributeArray1.hxx>`

Inheritance diagram for PDF_VArrayNodeOfFieldOfHAttributeArray1:
[legend]

## Public Member Functions
| PDF_VArrayNodeOfFieldOfHAttributeArray1 ()
| PDF_VArrayNodeOfFieldOfHAttributeArray1 (const Handle< PDF_Attribute > &aValue)
void | SetValue (const Handle< PDF_Attribute > &aValue)
Standard_Address | Value () const
| PDF_VArrayNodeOfFieldOfHAttributeArray1 (const Storage_stCONSTclCOM &a)
Handle< PDF_Attribute > | _CSFDB_GetPDF_VArrayNodeOfFieldOfHAttributeArray1myValue () const
void | _CSFDB_SetPDF_VArrayNodeOfFieldOfHAttributeArray1myValue (const Handle< PDF_Attribute > &p)
Public Member Functions inherited from PStandard_ArrayNode
| PStandard_ArrayNode ()
| Creates an empty ArrayNode. More...
| PStandard_ArrayNode (const Storage_stCONSTclCOM &a)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDF_VArrayNodeOfFieldOfHAttributeArray1::PDF_VArrayNodeOfFieldOfHAttributeArray1 | ( |  | ) |

PDF_VArrayNodeOfFieldOfHAttributeArray1::PDF_VArrayNodeOfFieldOfHAttributeArray1 | ( | const Handle< PDF_Attribute > & | aValue | ) |

PDF_VArrayNodeOfFieldOfHAttributeArray1::PDF_VArrayNodeOfFieldOfHAttributeArray1 | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PDF_Attribute > PDF_VArrayNodeOfFieldOfHAttributeArray1::_CSFDB_GetPDF_VArrayNodeOfFieldOfHAttributeArray1myValue | ( |  | ) | const
| inline

void PDF_VArrayNodeOfFieldOfHAttributeArray1::_CSFDB_SetPDF_VArrayNodeOfFieldOfHAttributeArray1myValue | ( | const Handle< PDF_Attribute > & | p | ) |
| inline

void PDF_VArrayNodeOfFieldOfHAttributeArray1::SetValue | ( | const Handle< PDF_Attribute > & | aValue | ) |

Standard_Address PDF_VArrayNodeOfFieldOfHAttributeArray1::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- PDF_VArrayNodeOfFieldOfHAttributeArray1.hxx